Package com.ads.api.beans.common

# Enum Class APIConstants.SMFillOptions

java.lang.Object
java.lang.Enum<APIConstants.SMFillOptions>
com.ads.api.beans.common.APIConstants.SMFillOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.SMFillOptions>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.SMFillOptions extends Enum<APIConstants.SMFillOptions>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLUMN_EXTENDED_PROPERTIES`
  Integer value = 16
  `COLUMN_INDEXES`
  Integer value = 8
  `COLUMN_VALID_VALUES`
  Integer value = 32
  `ENVIRONMENT_TABLES_COLUMNS`
  Integer value = 256
  `INDEX_COLUMN_ASSOCIATES`
  Integer value = 128
  `NONE`
  Integer value = 0 this is default value
  `TABLE_COLUMNS`
  Integer value = 2
  `TABLE_EXTENDED_PROPERTIES`
  Integer value = 4
  `TABLE_INDEXES`
  Integer value = 1
  `VALID_VALUES_EXTENDED_PROPERTIES`
  Integer value = 64

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.SMFillOptions`
  `getOption(int value)`
  `int`
  `toInt()`
  `static APIConstants.SMFillOptions`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.SMFillOptions[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final APIConstants.SMFillOptions NONE
    Integer value = 0 this is default value

  - ### TABLE_INDEXES

    public static final APIConstants.SMFillOptions TABLE_INDEXES
    Integer value = 1

  - ### TABLE_COLUMNS

    public static final APIConstants.SMFillOptions TABLE_COLUMNS
    Integer value = 2

  - ### TABLE_EXTENDED_PROPERTIES

    public static final APIConstants.SMFillOptions TABLE_EXTENDED_PROPERTIES
    Integer value = 4

  - ### COLUMN_INDEXES

    public static final APIConstants.SMFillOptions COLUMN_INDEXES
    Integer value = 8

  - ### COLUMN_EXTENDED_PROPERTIES

    public static final APIConstants.SMFillOptions COLUMN_EXTENDED_PROPERTIES
    Integer value = 16

  - ### COLUMN_VALID_VALUES

    public static final APIConstants.SMFillOptions COLUMN_VALID_VALUES
    Integer value = 32

  - ### VALID_VALUES_EXTENDED_PROPERTIES

    public static final APIConstants.SMFillOptions VALID_VALUES_EXTENDED_PROPERTIES
    Integer value = 64

  - ### INDEX_COLUMN_ASSOCIATES

    public static final APIConstants.SMFillOptions INDEX_COLUMN_ASSOCIATES
    Integer value = 128

  - ### ENVIRONMENT_TABLES_COLUMNS

    public static final APIConstants.SMFillOptions ENVIRONMENT_TABLES_COLUMNS
    Integer value = 256

- ## Method Details

  - ### values

    public static APIConstants.SMFillOptions[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.SMFillOptions valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOption

    public static APIConstants.SMFillOptions getOption(int value)
    Parameters:
      `value` -
    Returns:
      this will return SMFillOptions object for the integer value passed if that is matched else NONE Option will be returned

  - ### toInt

    public int toInt()
    Returns:
      the integer value of the option